Permission (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.auth
Enum Permission

    java.lang.Object
      java.lang.Enum<Permission>
          org.apache.cassandra.auth.Permission

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Permission>

    public enum Permission

extends java.lang.Enum<Permission>

An enum encapsulating the set of possible permissions that an authenticated user can have for a resource. IAuthority implementations may encode permissions using ordinals, so the Enum order must never change.

Enum Constant Summary
`READ`
`WRITE`

Field Summary
`static java.util.EnumSet<Permission>` | `ALL`
`static java.util.EnumSet<Permission>` | `NONE`

Method Summary
`static Permission` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Permission[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READ

    public static final Permission READ

### WRITE

    public static final Permission WRITE

Field Detail

### ALL

    public static final java.util.EnumSet<Permission> ALL

### NONE

    public static final java.util.EnumSet<Permission> NONE

Method Detail

### values

    public static Permission[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Permission c : Permission.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Permission valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 The Apache Software Foundation